## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           sofia-sip
Version:        1.13.17
Release:        %autorelease
Summary:        Sofia SIP User-Agent library

License:        LGPL-2.1-or-later
URL:            http://sofia-sip.sourceforge.net/
Source0:        https://github.com/freeswitch/%{name}/archive/refs/tags/v%{version}.tar.gz

# https://github.com/freeswitch/sofia-sip/pull/249
Patch0:         0001-Fix-incompatible-pointer-type-in-sip_basic.c.patch

BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  glib2-devel
BuildRequires:  lksctp-tools-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:  libtool >= 1.5.17

%description
Sofia SIP is a RFC-3261-compliant library for SIP user agents and
other network elements.  The Session Initiation Protocol (SIP) is an
application-layer control (signaling) protocol for creating,
modifying, and terminating sessions with one or more
participants. These sessions include Internet telephone calls,
multimedia distribution, and multimedia conferences.

%package devel
Summary:        Sofia-SIP Development Package
Requires:       sofia-sip = %{version}-%{release}
Requires:       pkgconfig

%description devel
Development package for Sofia SIP UA library.

%package glib
Summary:        Glib bindings for Sofia-SIP
Requires:       sofia-sip = %{version}-%{release}

%description glib
GLib interface to Sofia SIP User Agent library.

%package glib-devel
Summary:        Glib bindings for Sofia SIP development files
Requires:       sofia-sip-glib = %{version}-%{release}
Requires:       sofia-sip-devel = %{version}-%{release}
Requires:       pkgconfig

%description  glib-devel
Development package for Sofia SIP UA Glib library. This package
includes libraries and include files for developing glib programs
using Sofia SIP.

%package utils
Summary:        Sofia-SIP Command Line Utilities
Requires:       sofia-sip = %{version}-%{release}

%description utils
Command line utilities for the Sofia SIP UA library.


%prep
%autosetup -p1

%build
sh autogen.sh
%configure --disable-rpath --disable-static --without-doxygen --disable-stun
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -name \*.la -delete
find %{buildroot} -name \*.h.in -delete
find . -name installdox -delete

%ldconfig_scriptlets
%ldconfig_scriptlets glib

%files
%doc AUTHORS ChangeLog ChangeLog.ext-trees COPYING COPYRIGHTS
%doc README README.developers RELEASE TODO
%{_libdir}/libsofia-sip-ua.so.*

%files devel
#%doc libsofia-sip-ua/docs/html
%dir %{_includedir}/sofia-sip-1.13
%dir %{_includedir}/sofia-sip-1.13/sofia-sip
%{_includedir}/sofia-sip-1.13/sofia-sip/*.h
%exclude %{_includedir}/sofia-sip-1.13/sofia-sip/su_source.h
%dir %{_includedir}/sofia-sip-1.13/sofia-resolv
%{_includedir}/sofia-sip-1.13/sofia-resolv/*.h
%{_libdir}/libsofia-sip-ua.so
%{_libdir}/pkgconfig/sofia-sip-ua.pc
%{_datadir}/sofia-sip

%files glib
%{_libdir}/libsofia-sip-ua-glib.so.*

%files glib-devel
%{_includedir}/sofia-sip-1.13/sofia-sip/su_source.h
%{_libdir}/libsofia-sip-ua-glib.so
%{_libdir}/pkgconfig/sofia-sip-ua-glib.pc

%files utils
%{_bindir}/addrinfo
%{_bindir}/localinfo
%{_bindir}/sip-date
%{_bindir}/sip-dig
%{_bindir}/sip-options


%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Thu May 22 2025 Tomi Lähteenmäki <lihis@lihis.net> - 1.13.17-1
- Upstream release 1.13.17

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.16-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.16-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Feb 20 2024 Tomi Lähteenmäki <lihis@lihis.net> - 1.13.16-7
- migrated to SPDX license

* Mon Feb 19 2024 Tomi Lähteenmäki <lihis@lihis.net> - 1.13.16-4
- Fix incompatible pointer type error (fedora#2261702)

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 15 2023 torbuntu <torbuntu@fedoraproject.org> - 1.13.16-1
- Update to 1.13.16

* Tue May 16 2023 torbuntu <torbuntu@fedoraproject.org> - 1.13.15-1
- Update to 1.13.15

* Tue Feb 21 2023 torbuntu <torbuntu@fedoraproject.org> - 1.13.14-1
- Update to 1.13.14

* Wed Feb 08 2023 torbuntu <torbuntu@fedoraproject.org> - 1.13.13-1
- Update to 1.13.13

* Fri Jan 20 2023 torbuntu <torbuntu@fedoraproject.org> - 1.13.12-1
- Update to 1.13.12

* Sat Dec 24 2022 torbuntu <torbuntu@fedoraproject.org> - 1.13.10-1
- Update for 1.13.10

* Sat Sep 17 2022 torbuntu <torbuntu@fedoraproject.org> - 1.13.9-1
- Update for 1.13.9

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 02 2022 torbuntu <torbuntu@fedoraproject.org> - 1.13.8-1
- Update to 1.13.8

* Fri Jan 28 2022 torbuntu <torbuntu@fedoraproject.org> - 1.13.7-1
- Update to 1.13.7

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Oct 24 2021 torbuntu <sorensentor@tuta.io> - 1.13.6-1
- Update to 1.13.6

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 1.13.4-3
- Rebuilt with OpenSSL 3.0.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.13.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 15 2021 torbuntu <sorensentor@tuta.io> - 1.13.4-1
- update to 1.13.4

* Mon Apr 26 2021 torbuntu <sorensentor@tuta.io> - 1.13.3-2
- Using correct new sources

* Mon Apr 26 2021 torbuntu <sorensentor@tuta.io> - 1.13.3-1
- update to 1.13.3

* Mon Apr 26 2021 Tomas Hrcka <thrcka@redhat.com> - 1.12.11-29
- Revert "Orphaned for 6+ weeks"

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.11-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 08 2021 Tom Stellard <tstellar@redhat.com> - 1.12.11-27
- Add BuildRequires: make

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.11-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.11-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.11-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.11-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.12.11-22
- Remove obsolete Group tag

* Tue Jan 22 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.12.11-21
- Remove obsolete ldconfig scriptlets

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.11-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Jason Tibbitts <tibbs@math.uh.edu> - 1.12.11-19
- Remove needless use of %%defattr

* Mon Jul 09 2018 Igor Gnatenko <ignatenko@redhat.com> - 1.12.11-18
- add BuildRequires: gcc-c++

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.11-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.11-16
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.11-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.11-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.12.11-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Dennis Gilmore <dennis@ausil.us> - 1.12.11-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 1.12.11-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Dennis Gilmore <dennis@ausil.us> - 1.12.11-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Dec 05 2013 Brian Pepple <bpepple@fedoraproject.org> - 1.12.11-9
- Add patch to fix compiler error. (#981056)

* Sun Aug 04 2013 Dennis Gilmore <dennis@ausil.us> - 1.12.11-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 11 2013 Debarshi Ray <debarshir@gnome.org> - 1.12.11-7
- Rebuilt to fix broken binary possibly caused by broken toolchain

* Fri Feb 15 2013 Dennis Gilmore <dennis@ausil.us> - 1.12.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Dennis Gilmore <dennis@ausil.us> - 1.12.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 24 2012 Brian Pepple <bpepple@fedoraproject.org> - 1.12.11-4
- Do not use enable-sctp option. (#817579)

* Sat Jan 14 2012 Dennis Gilmore <dennis@ausil.us> - 1.12.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Sep 27 2011 Brian Pepple <bpepple@fedoraproject.org> - 1.12.11-2
- Spec clean-up

* Tue Sep 27 2011 Brian Pepple <bpepple@fedoraproject.org> - 1.12.11-1
- Update to 1.12.11. Drop non-weak symbol patch. Fixed upstream. Drop
  buildroot and clean section. No longer necessary.

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> - 1.12.10-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12.10-7
- dist-git conversion

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 1.12.10-6
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Fri Aug 21 2009 Tomáš Mráz <tmraz@fedoraproject.org> - 1.12.10-5
- rebuilt with new openssl

* Mon Jul 27 2009 Jesse Keating <jkeating@fedoraproject.org> - 1.12.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Jesse Keating <jkeating@fedoraproject.org> - 1.12.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Tomáš Mráz <tmraz@fedoraproject.org> - 1.12.10-2
- rebuild with new openssl

* Tue Dec 09 2008 Jeffrey C. Ollie <jcollie@fedoraproject.org> - 1.12.10-1
- Update to 1.12.10

* Sun Jun 15 2008 Jeffrey C. Ollie <jcollie@fedoraproject.org> - 1.12.9-1
- Update to 1.12.9 - Disable building API documentation because it won't
  build on PPC/PPC64 (at least in a reasonable amount of time).

* Mon Feb 11 2008 Jeffrey C. Ollie <jcollie@fedoraproject.org> - 1.12.8-2
- Upload sources

* Mon Feb 11 2008 Jeffrey C. Ollie <jcollie@fedoraproject.org> - 1.12.8-1
- Update to 1.12.8

* Mon Dec 10 2007 Jeffrey C. Ollie <jcollie@fedoraproject.org> - 1.12.7-1
- Update to 1.12.7

* Thu Dec 06 2007 Jesse Keating <jkeating@fedoraproject.org> - 1.12.6-7
- Rebuild for deps

* Tue Aug 28 2007 Jeffrey C. Ollie <jcollie@fedoraproject.org> - 1.12.6-6
- Update license tag.

* Tue Jul 31 2007 Jeffrey C. Ollie <jcollie@fedoraproject.org> - 1.12.6-5
- Clean up.

* Tue Jul 31 2007 Jeffrey C. Ollie <jcollie@fedoraproject.org> - 1.12.6-4
- Enable building on PPC64

* Wed Jul 18 2007 Jeffrey C. Ollie <jcollie@fedoraproject.org> - 1.12.6-3
- Sync with FC-6 to fix EVR problems

* Tue Jul 03 2007 Jeffrey C. Ollie <jcollie@fedoraproject.org> - 1.12.6-2
- Block building on ppc64

* Mon Jul 02 2007 Jeffrey C. Ollie <jcollie@fedoraproject.org> - 1.12.6-1
- Initial import for devel
## END: Generated by rpmautospec
